from dingtalkchatbot.chatbot import DingtalkChatbot
from slack_bolt import App
import re
import os
import logging
logging.basicConfig(level=logging.DEBUG)


# WebHook地址
dingtalk_webhook = os.environ["DINGTALK_WEBHOOK"]

dingtalkbot = DingtalkChatbot(dingtalk_webhook)
app = App(
    token=os.environ.get("SLACK_BOT_TOKEN"),
    signing_secret=os.environ.get("SLACK_SIGNING_SECRET")
)


@app.event({"type": "message", "subtype": None})
def transfer_warn(body: dict, logger: logging.Logger):
    logger.info(body)
    dingtalkbot.send_text('测试捕获一般消息\n'+str(body["event"]))


@app.event({"type": "message", "subtype": "bot_message"})
def transfer_all(body: dict, logger: logging.Logger):
    logger.info(body)
    dingtalkbot.send_text('测试捕获机器人消息\n'+str(body["event"]))


# 启动slack监听
if __name__ == "__main__":
    app.start(port=int(os.environ.get("PORT", 3000)))
